@ECHO OFF
CLS

IF "%1%"=="H2" GOTO H2Viewer

REM This is an example script to show how to use the Help Library Manager
REM Launcher to install an MS Help Viewer file.  You can use this as an example
REM for creating a script to run from your product's installer.

REM NOTE: If not executed from within the same folder as the executable, a
REM full path is required on the executable and the HelpContentSetup.msha file.

REM Uninstall first in case it is already there.  If not, it won't install
REM below.  We'll ignore any error output by redirecting it to NUL.
HelpLibraryManagerLauncher.exe /product "VS" /version "100" /locale ja-jp /uninstall /silent /vendor "%E3%82%A2%E3%83%AB%E3%82%B4%E3%83%AA%E3%82%BA%E3%83%A0%E5%B7%A5%E6%88%BF%EF%BC%88%E5%B0%8F%E6%9E%97%E8%8C%82%E9%9B%84%EF%BC%89" /mediaBookList "Dsl (Digital Simulation Library [http://www.tinyforest.jp/dsl/]) for .Net" /productName "Dsl (Digital Simulation Library) for .Net" > NUL

REM The setup name must be HelpContentSetup.msha so make sure we copy the
REM setup file to that name.  SHFB names it after the help file so that
REM multiple files can be deployed to the same output older at build time.
IF EXIST "Dsl.msha" COPY /Y "Dsl.msha" HelpContentSetup.msha

REM Install the new content.
HelpLibraryManagerLauncher.exe /product "VS" /version "100" /locale ja-jp /brandingPackage Dev10.mshc /sourceMedia HelpContentSetup.msha

GOTO Exit

:H2Viewer

REM The Help Library Manager Launcher tool does not support MS Help Viewer 2 yet so this calls the tool directly
REM for temporary support.

"%SYSTEMDRIVE%\Program Files\Microsoft Help Viewer\v2.0\HlpCtntMgr.exe" /operation install /catalogName VisualStudio11 /locale ja-jp /sourceUri "%CD%\Dsl.msha"

:Exit
